## rainloop 1.12.1

=== Makefile ===
#!make

rebuild: _down
	docker-compose build --no-cache

up: _up status
_up:
	docker-compose up -d

stop: _stop status
_stop:
	docker-compose stop

down: _down status
_down:
	docker-compose down

restart: _stop _up status

status:
	@docker-compose ps

tx:
	@docker-compose run --no-deps --rm tx tx pull -a -s -f -d

console-node:
	@docker-compose run --no-deps --rm node sh
console-tx:
	@docker-compose run --no-deps --rm tx sh
console-php:
	@docker-compose exec php sh
console: console-node

logs:
	@docker-compose logs --tail=100 -f
logs-db:
	@docker-compose logs --tail=100 -f db
logs-php:
	@docker-compose logs --tail=100 -f php
logs-node:
	@docker-compose logs --tail=100 -f node
logs-nginx:
	@docker-compose logs --tail=100 -f nginx
logs-mail:
	@docker-compose logs --tail=100 -f mail
logs-tx:
	@docker-compose logs --tail=100 -f tx

rl-lint:
	@docker-compose run --no-deps --rm node gulp lint
rl-dev:
	@docker-compose run --no-deps --rm node gulp
rl-watch:
	@docker-compose run --no-deps --rm node gulp watch
rl-build:
	@docker-compose run --no-deps --rm node gulp all
rl-build-pro:
	@docker-compose run --no-deps --rm node gulp all --pro

gpg:
	docker run -it --rm -w=/var/www \
		-v $(shell pwd)/.docker/.cache/.gnupg:/root/.gnupg \
		-v $(shell pwd):/var/www \
		ubuntu:latest bash

=== debian/changelog ===
rainloop (1.12.1-2) unstable; urgency=medium

  * Install default config files to /etc (Closes: #920674)
  * Remove symlinks to default config files on uninstall

 -- Daniel Ring <dring@wolfishly.me>  Wed, 06 Feb 2019 23:59:52 -0800

rainloop (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Ring <dring@wolfishly.me>  Sun, 13 Jan 2019 00:30:06 -0800

rainloop (1.11.1-2) unstable; urgency=medium

  * Depend on php-nrk-predis instead of libphp-predis (Closes: #917605)
  * Update default webserver config files for PHP-FPM 7.3

 -- Daniel Ring <dring@wolfishly.me>  Sat, 05 Jan 2019 01:06:30 -0800

rainloop (1.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #861581)

 -- Daniel Ring <dring@wolfishly.me>  Mon, 17 Dec 2018 20:42:00 -0700

=== debian/control ===
Source: rainloop
Section: web
Priority: optional
Maintainer: Daniel Ring <dring@wolfishly.me>
Build-Depends:
 debhelper (>= 12)
 , nodejs (>= 4)
 , cleancss
 , node-less
 , node-uglify
 , webpack
 , node-babel-core
 , node-babel-preset-env
 , node-babel-preset-stage-0
 , node-babel-plugin-transform-runtime
 , node-babel-plugin-transform-decorators-legacy
 , node-babel-loader
 , node-json-loader
 , node-raw-loader
 , node-style-loader
 , node-addressparser
 , node-autolinker
 , node-json3
 , node-js-cookie
 , node-knockout
 , node-knockout-sortable
 , node-knockout-transformations
 , node-lightgallery
 , node-normalize.css
 , node-opentip
 , node-pikaday
 , node-jquery (<< 3.0.0)
 , libjs-jquery-backstretch
 , libjs-jquery-mousewheel
 , libjs-jquery-lazyload
 , libjs-moment
 , libjs-underscore
Rules-Requires-Root: binary-targets
Standards-Version: 4.3.0
Homepage: https://rainloop.net/
Vcs-Git: https://salsa.debian.org/js-team/rainloop.git
Vcs-Browser: https://salsa.debian.org/js-team/rainloop

Package: rainloop
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
 , nginx | apache2 | httpd
 , php-fpm | libapache2-mod-php
 , php-curl
 , php-json
 , php-xml
 , php-pclzip
 , php-seclib
 , php-nrk-predis
 , ckeditor
Suggests: php5-sqlite | php5-mysql | php5-pgsql
Description: Simple, modern & fast web-based email client
 Rainloop is a PHP-based MUA with a modern interface and no database
 requirements.
 .
 It supports IMAP and SMTP protocols (including SSL), Sieve scripts, multiple
 accounts and identities, an admin panel for configuration, and integration
 with a variety of commonly-used services. Plugins can be installed to further
 extend functionality. Emails are not stored locally, but are accessed through
 IMAP.

=== debian/rules ===
#!/usr/bin/make -f

# Output every command that modifies files on the build system
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	make -sf debian/Makefile

override_dh_fixperms:
	dh_fixperms
	chown -R www-data:www-data debian/rainloop/var/lib/rainloop
	chown -R www-data:www-data debian/rainloop/etc/rainloop

override_dh_auto_clean:
	make -sf debian/Makefile clean
	dh_auto_clean

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(.+)\.tar\.gz/rainloop-$1\.tar\.gz/ \
  https://github.com/rainloop/rainloop-webmail/tags .*/archive/v(.+)\.tar\.gz

## rainloop 1.14.0

=== Makefile ===
--- 
+++ 
@@ -49,16 +49,30 @@
 rl-lint:
 	@docker-compose run --no-deps --rm node gulp lint
 rl-dev:
-	@docker-compose run --no-deps --rm node gulp
-rl-watch:
-	@docker-compose run --no-deps --rm node gulp watch
+	@docker-compose run --no-deps --rm node npm run watch-js
+rl-compile:
+	@docker-compose run --no-deps --rm node gulp build
+rl-compile-with-source:
+	@docker-compose run --no-deps --rm node gulp build --source
+rl-watch-css:
+	@docker-compose run --no-deps --rm node npm run watch-css
+rl-watch-js:
+	@docker-compose run --no-deps --rm node npm run watch-js
+
 rl-build:
 	@docker-compose run --no-deps --rm node gulp all
 rl-build-pro:
 	@docker-compose run --no-deps --rm node gulp all --pro
 
+yarn-install:
+	@docker-compose run --no-deps --rm node yarn install
+yarn-outdated:
+	@docker-compose run --no-deps --rm node yarn outdated
+yarn-upgrade:
+	@docker-compose run --no-deps --rm node yarn upgrade-interactive --exact --latest
+
 gpg:
 	docker run -it --rm -w=/var/www \
 		-v $(shell pwd)/.docker/.cache/.gnupg:/root/.gnupg \
 		-v $(shell pwd):/var/www \
-		ubuntu:latest bash
+		ubuntu:16.04 bash

=== vendors/Progress.js/Makefile ===
BASE = .

build:
	cd build && node build.js

.PHONY: build

=== debian/changelog ===
rainloop (1.14.0-3ubuntu1) hirsute; urgency=medium

  * d/p/fix-pikaday-css-location.patch: Fix FTBFS due to pikaday.css
    installed to /usr/share instead of /usr/lib.
  * d/control: Add dependency on node-jquery.
  
 -- Bryce Harrington <bryce@canonical.com>  Fri, 09 Apr 2021 18:18:18 +0000

rainloop (1.14.0-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Submit.

  [ Xavier Guimard ]
  * Add fix for node-knockout-sortable ≥ 1.2.0~
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1

 -- Xavier Guimard <yadd@debian.org>  Mon, 21 Dec 2020 18:32:04 +0100

rainloop (1.14.0-2) unstable; urgency=medium

  * Update bundled gulp-less for node-less 3.11.2 (Closes: #962037)
  * Update build paths for node-autolinker (Closes: #962039)

 -- Daniel Ring <dring@wolfishly.me>  Mon, 15 Jun 2020 18:45:48 -0700

rainloop (1.14.0-1) unstable; urgency=medium

  * New upstream release
  * Update build to use Webpack 4 and Babel 7 (Closes: #933481, #960482)
  * Use unversioned virtual packages for suggests (Closes: #930524)
  * Remove dependencies on deprecated packages (Closes: #935428, #951023)

 -- Daniel Ring <dring@wolfishly.me>  Sat, 16 May 2020 15:46:04 -0700

=== debian/control ===
Source: rainloop
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Daniel Ring <dring@wolfishly.me>
Build-Depends:
 debhelper-compat (= 13)
 , nodejs
 , gulp
 , node-gulp-concat
 , node-gulp-rename
 , node-gulp-util
 , node-autoprefixer
 , node-clean-css
 , node-less
 , node-postcss
 , node-uglify-js
 , node-escape-string-regexp
 , node-multimatch
 , node-plugin-error
 , node-readable-stream
 , node-through2
 , webpack
 , node-babel7
 , node-babel-loader
 , node-css-loader
 , node-json-loader
 , node-raw-loader
 , node-style-loader
 , node-addressparser
 , node-autolinker
 , node-js-cookie
 , node-knockout
 , node-knockout-sortable (>= 1.2.0~)
 , node-lightgallery
 , node-normalize.css
 , node-opentip
 , node-pikaday
 , node-jquery
 , libjs-jquery
 , libjs-jquery-backstretch
 , libjs-jquery-mousewheel
 , libjs-jquery-lazyload
 , libjs-moment
 , libjs-underscore
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.1
Homepage: https://rainloop.net/
Vcs-Git: https://salsa.debian.org/js-team/rainloop.git
Vcs-Browser: https://salsa.debian.org/js-team/rainloop

Package: rainloop
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
 , nginx | apache2 | httpd
 , php-fpm | libapache2-mod-php
 , php-curl
 , php-json
 , php-xml
 , php-pclzip
 , php-nrk-predis
 , ckeditor
Suggests: php-sqlite3 | php-mysql | php-pgsql
Description: Simple, modern & fast web-based email client
 Rainloop is a PHP-based MUA with a modern interface and no database
 requirements.
 .
 It supports IMAP and SMTP protocols (including SSL), Sieve scripts, multiple
 accounts and identities, an admin panel for configuration, and integration
 with a variety of commonly-used services. Plugins can be installed to further
 extend functionality. Emails are not stored locally, but are accessed through
 IMAP.

## rainloop 1.16.0+dfsg

=== Makefile ===
#!make

rebuild: _down
	docker compose build --no-cache

up: _up status
_up:
	docker compose up -d

stop: _stop status
_stop:
	docker compose stop

down: _down status
_down:
	docker compose down

restart: _stop _up status

status:
	@docker compose ps

tx:
	@docker compose run --no-deps --rm tx tx pull -a -s -f -d

console-node:
	@docker compose run --no-deps --rm node sh
console-tx:
	@docker compose run --no-deps --rm tx sh
console-php:
	@docker compose exec php sh
console: console-node

logs:
	@docker compose logs --tail=100 -f
logs-db:
	@docker compose logs --tail=100 -f db
logs-php:
	@docker compose logs --tail=100 -f php
logs-node:
	@docker compose logs --tail=100 -f node
logs-nginx:
	@docker compose logs --tail=100 -f nginx
logs-mail:
	@docker compose logs --tail=100 -f mail
logs-tx:
	@docker compose logs --tail=100 -f tx

rl-lint:
	@docker compose run --no-deps --rm node gulp lint
rl-dev:
	@docker compose run --no-deps --rm node npm run watch-js
rl-compile:
	@docker compose run --no-deps --rm node gulp build
rl-compile-with-source:
	@docker compose run --no-deps --rm node gulp build --source
rl-watch-css:
	@docker compose run --no-deps --rm node npm run watch-css
rl-watch-js:
	@docker compose run --no-deps --rm node npm run watch-js

rl-build:
	@docker compose run --no-deps --rm node gulp all
rl-build-pro:
	@docker compose run --no-deps --rm node gulp all --pro

yarn-install:
	@docker compose run --no-deps --rm node yarn install
yarn-outdated:
	@docker compose run --no-deps --rm node yarn outdated
yarn-upgrade:
	@docker compose run --no-deps --rm node yarn upgrade-interactive --exact --latest

gpg:
	docker run -it --rm -w=/var/www \
		-v $(shell pwd)/.docker/.cache/.gnupg:/root/.gnupg \
		-v $(shell pwd):/var/www \
		ubuntu:16.04 bash

=== debian/changelog ===
rainloop (1.16.0+dfsg-1) unstable; urgency=high

  [ Daniel Ring ]
  * SECURITY NOTICE:
    In versions of Rainloop prior to 1.14.0, the "hide_passwords = On"
    configuration option does not work correctly. This may cause plaintext
    passwords to be stored in log files when logging is enabled.

    Note that the default configuration provided with this package disables
    logging; only users who have explicitly enabled it will be affected.

    For more information, see the upstream issue on GitHub:
    https://github.com/RainLoop/rainloop-webmail/issues/1872

    This issue is fixed in Rainloop 1.14.0 and later. (Closes: #962629)

  * Update include paths of dependences (Closes: #997726)
  * Depend on php-predis instead of php-nrk-predis (Closes: #998863)
  * DFSG repack to remove vendored dependencies
  * DFSG repack PHP libraries already in Debian
  * Use system libjs-jquery-ui
  * New upstream version 1.14.0+dfsg-1
  * Update node-opentip library path

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * New upstream version 1.16.0+dfsg
  * Refresh patches
  * Require node-opentip ≥ 2.4.6-3~

 -- Daniel Ring <dring@wolfishly.me>  Thu, 09 Dec 2021 06:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rainloop
-Section: web
+Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Daniel Ring <dring@wolfishly.me>
 Build-Depends:
  debhelper-compat (= 13)
@@ -35,17 +34,17 @@
  , node-knockout-sortable (>= 1.2.0~)
  , node-lightgallery
  , node-normalize.css
- , node-opentip
+ , node-opentip (>= 2.4.6-3~)
  , node-pikaday
- , node-jquery
  , libjs-jquery
+ , libjs-jquery-ui
  , libjs-jquery-backstretch
  , libjs-jquery-mousewheel
  , libjs-jquery-lazyload
  , libjs-moment
  , libjs-underscore
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://rainloop.net/
 Vcs-Git: https://salsa.debian.org/js-team/rainloop.git
 Vcs-Browser: https://salsa.debian.org/js-team/rainloop
@@ -61,7 +60,7 @@
  , php-json
  , php-xml
  , php-pclzip
- , php-nrk-predis
+ , php-predis
  , ckeditor
 Suggests: php-sqlite3 | php-mysql | php-pgsql
 Description: Simple, modern & fast web-based email client

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_build:
-	make -sf debian/Makefile
+	gulp rainloop
 
 override_dh_fixperms:
 	dh_fixperms
@@ -15,5 +15,5 @@
 	chown -R www-data:www-data debian/rainloop/etc/rainloop
 
 override_dh_auto_clean:
-	make -sf debian/Makefile clean
+	gulp clean
 	dh_auto_clean

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.+\/v(.+)\.tar\.gz/rainloop-$1\.tar\.gz/ \
  https://github.com/rainloop/rainloop-webmail/tags .*/archive/.*/v(.+)\.tar\.gz
